RU_PlanesClientSet2 = SET_CLIENT:New():FilterCountries( "RUSSIA" ):FilterCategories( "plane" )
-- Define the SPAWN object for the red AI plane template.
-- We use InitCleanUp to check every 20 seconds, if there are no planes blocked at the airbase, waithing for take-off.
-- If a blocked plane exists, this red plane will be ReSpawned.

RU_PlanesSpawn2 = SPAWN:New( "Mig23_CAP" ):InitCleanUp( 900 )

-- Start the AI_BALANCER, using the SET of red CLIENTs, and the SPAWN object as a parameter.
RU_AI_Balancer2 = AI_BALANCER:New( RU_PlanesClientSet2, RU_PlanesSpawn2 )

-- Create the first polygon zone ...
PatrolZoneGroup3 = GROUP:FindByName( "PatrolZone3" )
PatrolZone3 = ZONE_POLYGON:New( "PatrolZone3", PatrolZoneGroup3 )

-- Create the second polygon zone ...
PatrolZoneGroup4 = GROUP:FindByName( "PatrolZone4" )
PatrolZone4 = ZONE_POLYGON:New( "PatrolZone4", PatrolZoneGroup4 )

-- Now, create an array of these zones ...
PatrolZoneArray2 = { PatrolZone3, PatrolZone4 }

function RU_AI_Balancer2:OnAfterSpawned( SetGroup, From, Event, To, AIGroup )

  local Patrol = AI_PATROL_ZONE:New( PatrolZoneArray2[math.random( 1, 2 )], 5500, 7500, 400, 600 )
  Patrol:ManageFuel( 0.2, 60 )
  Patrol:SetControllable( AIGroup )
  Patrol:Start()
 
end

