RU_PlanesClientSet1 = SET_CLIENT:New():FilterCountries( "RUSSIA" ):FilterCategories( "plane" )
-- Define the SPAWN object for the red AI plane template.
-- We use InitCleanUp to check every 20 seconds, if there are no planes blocked at the airbase, waithing for take-off.
-- If a blocked plane exists, this red plane will be ReSpawned.

RU_PlanesSpawn1 = SPAWN:New( "RU-Su-25T-SEAD" ):InitCleanUp( 2400 )

-- Start the AI_BALANCER, using the SET of red CLIENTs, and the SPAWN object as a parameter.
RU_AI_Balancer1 = AI_BALANCER:New( RU_PlanesClientSet1, RU_PlanesSpawn1 )

-- Create the first polygon zone ...
PatrolZoneGroup1 = GROUP:FindByName( "PatrolZone1" )
PatrolZone1 = ZONE_POLYGON:New( "PatrolZone1", PatrolZoneGroup1 )

-- Create the second polygon zone ...
PatrolZoneGroup2 = GROUP:FindByName( "PatrolZone2" )
PatrolZone2 = ZONE_POLYGON:New( "PatrolZone2", PatrolZoneGroup2 )

-- Now, create an array of these zones ...
PatrolZoneArray1 = { PatrolZone1, PatrolZone2 }

function RU_AI_Balancer1:OnAfterSpawned( SetGroup, From, Event, To, AIGroup )

  local Patrol = AI_PATROL_ZONE:New( PatrolZoneArray1[math.random( 1, 2 )], 5500, 7500, 400, 600 )
  Patrol:ManageFuel( 0.2, 60 )
  Patrol:SetControllable( AIGroup )
  Patrol:Start()
 
end